# UnassociateEipAddress

## 1. 接口描述

本接口(UnassociateEipAddress)用于将弹性公网IP（EIP）从绑定的云产品上解绑。

{% hint style="info" %}
**注意事项**

* 接口会返回解绑失败的eip id集合，如果是空的则说明全部成功。
* 如果弹性公网IP已经解绑，重复执行不会报错。
* 默认弹性公网IP无法解绑。
  {% endhint %}

## 2. 请求参数

以下请求参数列表仅列出了接口中需要的请求参数

| 参数名称   | 必选 | 类型              | 描述               |
| ------ | -- | --------------- | ---------------- |
| eipIds | 是  | Array of String | 要解绑的弹性公网IP的ID列表。 |

## 3. 响应结果

| 参数名称         | 类型              | 描述                                                       |
| ------------ | --------------- | -------------------------------------------------------- |
| requestId    | String          | <p>唯一请求 ID。</p><p>每次请求都会返回。定位问题时需要提供该次请求的 requestId。</p> |
| failedEipIds | Array of String | 操作失败的弹性IP的ID集合。                                          |

## 4. 代码示例

{% tabs %}
{% tab title="示例" %}
**1. 将弹性公网IP（EIP）从绑定的云产品上解绑。**

```json
POST /api/v2/zec HTTP/1.1
Host: console.zenlayer.com
Content-Type: application/json
X-ZC-Action: UnassociateEipAddress
<Common Request Params>

Request：
{
    "eipIds": ["eipId1","eipId2"]
}

Response：
{
  "requestId": "T05992D0C-7E8B-4047-B0C0-780F2CD549D3",
  "response": {
    "requestId": "T05992D0C-7E8B-4047-B0C0-780F2CD549D3"
  }
}
```

{% endtab %}
{% endtabs %}

## 5. 开发者工具

Zenlayer Cloud API 2.0 提供了配套的[开发工具集（SDK）](/api-reference/cn/api-introduction/toolkit.md)，未来会陆续支持更多开发语言，方便快速接入和使用Zenlayer的产品和服务。

## 6. 错误码

下面包含业务逻辑中遇到的错误码，其他错误码见[公共错误码](/api-reference/cn/api-introduction/instruction/commonerrorcode.md)

| HTTP状态码 | 错误码                                          | 说明            |
| ------- | -------------------------------------------- | ------------- |
| 400     | OPERATION\_DENIED\_EIP\_IS\_DEFAULT          | 默认公网IP无法解绑。   |
| 400     | OPERATION\_DENIED\_EIP\_NOT\_ASSIGNED        | EIP状态未绑定。     |
| 500     | OPERATION\_DENIED\_EIP\_STATUS\_NOT\_SUPPORT | EIP 状态不支持此操作。 |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.console.zenlayer.com/api-reference/cn/compute/zec/elastic-ip/unassociateeipaddress.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
